#include <iostream>
#include <cmath> // Bibliothèque contenant les fonctions mathématiques

int main(void)
{

  double x;


  // Les types à virgule flottante peuvent représenter des réels très petits ou très grands...
  x = pow(10,-324);
  std::cout << "10^-324 = " << x << std::endl;
  x = pow(10,-323);
  std::cout << "10^-323 = " << x << std::endl;
  x = pow(10,308);
  std::cout << "10^308 = " << x << std::endl;
  x = pow(10,309);
  std::cout << "10^309 = " << x << std::endl;


  // ... mais seuls les premiers chiffres sont significatifs
  x = pow(10,-20);
  std::cout << "( 1 + 10^-17 ) - 1 = " << (1+x)-1 << std::endl;
  x = pow(10,20);
  std::cout << "( 10^20 + 1 ) - 10^20 = " << (1+x)-x << std::endl;
  return 0;
  
}
